package cn.com.qmth.examcloud.task.service.job;

import cn.com.qmth.examcloud.examwork.api.NoticeCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author lideyin
 * 处理过期通知任务
 */
@Component("disposeOverdueNoticeTask")
public class DisposeOverdueNoticeTask extends AbstractTask {

	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private NoticeCloudService noticeCloudService;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		noticeCloudService.disposeOverdueNotice();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}
}
