package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.service.StudentCountService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

@Component("studentOnlineCountTask")
public class StudentOnlineCountTask extends AbstractTask {

	@Autowired
	StudentCountService studentCountService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		studentCountService.saveOnlieCount();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
