package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.service.UserCountService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

@Component("userOnlineCountTask")
public class UserOnlineCountTask extends AbstractTask {

	@Autowired
	UserCountService userCountService;

	@Autowired
	TaskTracker TaskTracker;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		userCountService.saveOnlieCount();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
