package cn.com.qmth.examcloud.task.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.CopyExamStudentEntity;
import cn.com.qmth.examcloud.task.dao.entity.CopyExamStudentPK;
import cn.com.qmth.examcloud.task.dao.enums.CopyExamStudentStatus;

@Repository
public interface CopyExamStudentRepo
		extends
			JpaRepository<CopyExamStudentEntity, CopyExamStudentPK>,
			JpaSpecificationExecutor<CopyExamStudentEntity> {

	CopyExamStudentEntity findFirstByStatusOrderByCreationTime(CopyExamStudentStatus status);

}
