package cn.com.qmth.examcloud.task.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.task.dao.entity.ExamStudentImportEntity;
import cn.com.qmth.examcloud.task.dao.enums.ExamStudentImportStatus;

@Repository
public interface ExamStudentImportRepo
		extends
			JpaRepository<ExamStudentImportEntity, Long>,
			JpaSpecificationExecutor<ExamStudentImportEntity> {

	ExamStudentImportEntity findFirstByStatusOrderByCreationTime(ExamStudentImportStatus status);

}
