package cn.com.qmth.examcloud.task.dao.enums;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年7月31日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum ExamStudentImportStatus {

	NONE("未开始"), FILE_PARSING("文件解析中"), FILE_PARSING_COMPLETE("文件解析完成"), DATA_PROCESSING(
			"数据处理中"), DATA_PROCESSING_COMPLETE("数据处理完毕"), ERROR("错误");

	// ===========================================================================

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param desc
	 */
	private ExamStudentImportStatus(String desc) {
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}

}
