package cn.com.qmth.examcloud.task.service;

import cn.com.qmth.examcloud.global.api.request.SyncBaseRequest;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月19日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface DataSyncService {

	/**
	 * 同步
	 *
	 * @author WANGWEI
	 * @param methodName
	 * @param req
	 * @param retry
	 * @return
	 */
	void sync(String methodName, SyncBaseRequest req, Boolean async, Boolean retry);

	/**
	 * 同步
	 *
	 * @author WANGWEI
	 * @param component
	 * @param methodName
	 * @param req
	 * @param retry
	 * @return
	 */
	void sync(String component, String methodName, SyncBaseRequest req, Boolean async,
			Boolean retry);

}
