package cn.com.qmth.examcloud.task.service;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.task.base.bean.ReportsComputeBean;
import cn.com.qmth.examcloud.task.dao.entity.ReportsComputeEntity;

public interface ReportsComputeService {
	public int getTodoDataCount();
	public List<ReportsComputeEntity> findTodoData(Long startId,Integer limit);
	public void compute(ReportsComputeEntity et);
	public void updateToComputing(ReportsComputeEntity et);
	public void updateToSuccess(ReportsComputeEntity et);
	public void updateToFail(ReportsComputeEntity et,String errMsg);
	public int updateToStoping(ReportsComputeEntity et);
	public void updateToStop(ReportsComputeEntity et);
	public ReportsComputeEntity findById(Long id);
	public void initReportsCompute();
	public void clearStopingFlag(Long id);
	public void add(Long projectId,Long rootOrgId);
	public PageInfo<ReportsComputeBean> queryPage(Long projectId,Integer pageNo,Integer pageSize,Long rootOrgId);
	public List<ReportsComputeBean> getList(List<Long> pids, Long rootOrgId);
}
