package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.admin.api.OeAdminScorePushCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月19日 上午10:51:59
 * @company 	QMTH
 * @description 网考推送成绩
 */
@Component("oeScorePushTask")
public class OeScorePushTask extends AbstractTask{

	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private OeAdminScorePushCloudService oeAdminScorePushCloudService;
	
	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}

	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		oeAdminScorePushCloudService.disposeScoreQueue();
	}

}
